Summary:	MD5 sum utility
Summary(pl.UTF-8):	Narzędzie do obliczania sum MD5
Name:		ghasher
Version:	1.2.1
Release:	7
License:	BSD
Group:		X11/Applications
Source0:	http://asgaard.homelinux.org/code/ghasher/%{name}-%{version}.tar.gz
# Source0-md5:	36edeaf03bd8827d2a96db86735532fb
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-format-security.patch
Patch3:		%{name}-openssl-1.1.0.patch
URL:		http://asgaard.homelinux.org/code/ghasher/
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libglade2-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ghasher is a small GUI utility that calculates MD5/SHA-1 and many
other sums.

%description -l pl.UTF-8
ghasher to małe narzędzie do obliczania sum MD5/SHA-1 i wielu innych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE `pkg-config gtk+-2.0 libglade-2.0 --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop
%changelog
* Thu Oct 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghasher.git;a=log;h=master

* Thu Oct 07 2021 Jan Rękorajski <baggins@pld-linux.org> aaf4502
- rediff patches, rebuild with openssl 3.0.0, rel 7

* Mon Oct 01 2018 Adam Gołębiowski <adamg@pld-linux.org> 24874e7
- fix format-security error
- openssl-1.1.0 buildfixes
- release 6

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 428c3f1
- release 5 (by relup.sh)

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> bfe22a6
- unified first line (one with cvs keywords)

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8bfb50e
- release 4

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e4ce0c4
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7d19720
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fd10f0f
- converted to UTF-8

* Tue Dec 26 2006 Marcin Banasiak <marcin.banasiak@gmail.com> efe2ae8
- release 2

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 628fd12
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Mon Mar 27 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 6f023bc
- pass CC

* Thu Jan 05 2006 Marcin Banasiak <marcin.banasiak@gmail.com> d0c670c
- updated to 1.2.1 (added support for hashing > 2GB files)

* Fri Jun 17 2005 Marcin Banasiak <marcin.banasiak@gmail.com> b0bf898
- up to 1.2.0
- more doc

* Fri Jun 17 2005 Marcin Banasiak <marcin.banasiak@gmail.com> 7df14e1
- updated to 1.2.0

* Fri Mar 25 2005 Jakub Bogusz <qboosh@pld-linux.org> c4573ed
- updated URLs

* Sat Nov 27 2004 saq <saq@pld-linux.org> 3deaed8
- massive attack: add missing gtk+2-devel epoch in BR

* Wed Oct 06 2004 Jakub Bogusz <qboosh@pld-linux.org> c300b56
- cosmetics

* Sat Sep 18 2004 undefine <undefine@pld-linux.org> 7d43b2a
- initial version by Kamil 'paladine' Kosiński with small fixes

* Sat Sep 18 2004 undefine <undefine@pld-linux.org> 28a45b8
- initital version by Kamil 'paladine' Kosiński with small fixes

